//
//  EditItemViewController.h
//  Shopping List
//
//  Created by Fandi on 12/05/13.
//  Copyright (c) 2013 Gopang Labs. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Item;

@protocol EditItemViewControllerDelegate;
@interface EditItemViewController : UIViewController
@property IBOutlet UITextField *nameTextField;
@property IBOutlet UITextField *priceTextField;

-(id)initWithItem:(Item *)item andDelegate:(id<EditItemViewControllerDelegate>)delegate;
@end

@protocol EditItemViewControllerDelegate <NSObject>

- (void)controller:(EditItemViewController *)controller didUpdateItem:(Item *)item;

@end
