//
//  AddItemViewController.h
//  Shopping List
//
//  Created by Fandi on 12/05/13.
//  Copyright (c) 2013 Gopang Labs. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol AddItemViewControllerDelegate;
@interface AddItemViewController : UIViewController
@property (weak) id<AddItemViewControllerDelegate> delegate;
@property IBOutlet UITextField *nameTextField;
@property IBOutlet UITextField *priceTextField;
@end

@protocol AddItemViewControllerDelegate <NSObject>

- (void)controller:(AddItemViewController *)controller didSaveItemWithName:(NSString *)name andPrice:(float)price;

@end